
#ifndef _INTERRUPT_H
#define _INTERRUPT_H

#define rSRCPND		*(volatile unsigned int *) 0x4a000000
#define rINTMOD		*(volatile unsigned int *) 0x4a000004
#define rINTMSK		*(volatile unsigned int *) 0x4a000008
#define rINTPND		*(volatile unsigned int *) 0x4a000010
#define rINTOFFSET	*(volatile unsigned int *) 0x4a000014

/*
 * interrupt offset
 * 인터럽트가 발생했을때 인터럽트 소스가 무엇인지를 찾아낼때 사용한다.
 */
#define INT_TICK	8
#define TIMER0		10
#define INT_RTC		30

void interrupt_init();

#endif
