
/*
 * 인터럽트의 초기화부분이다.
 * 모든 irq, fiq를 mask 해놓은 다음에 각 디바이스 마다 초기화 과정속에서
 * 그때그때 해당 인터럽트를 enable 할것이다.
 * 
 * 만든사람: sukistyle freestyle, suh1978@gmail.com
 * 개정내용:
 * 참고사항: uart_gets를 제외하고는 standard getc, putc, puts와 동일하다고 보면됨
 */

#include "interrupt.h"

#if DEBUG == y
#include "printk.h"
#endif

void interrupt_init()
{
    rSRCPND = 0xffffffff;
    rINTPND = 0xffffffff;
    rINTMOD = 0x0;
    rINTMSK = 0xffffffff;
}
