
/*
 * ½ũ NOR RAM ε
 * 
 * : sukistyle freestyle, suh1978@gmail.com
 * :
 * :  ½ũ NOR, RAM   ִ.
 */

#define TASK_ROM_BASE	0xa0000		@ ½ũ0 , ½ũ 0x10000 
#define TASK_SIZE	0xaffff		@ ½ũ text ִũ
#define TASK_RAM_BASE	0x30500000	@ ½ũ0 , ½ũ 0x100000 
	
.global load_task
load_task:				@ void load_task(unsigned int task_number)
	stmfd	r13!, {r0-r7}
	
	ldr	r1, =TASK_ROM_BASE
 	ldr	r2, =TASK_SIZE
	ldr	r3, =TASK_RAM_BASE

	add	r1, r1, r0, LSL #16	@ rom_base  + (task_number * 0x10000 )
	add	r2, r2, r0, LSL #16	@ task_size + (task_number * 0x10000 )
	add	r3, r3, r0, LSL #20	@ ram_base  + (task_number * 0x100000)

task_copy:	
	ldmia	r1!, {r4-r7}
	stmia	r3!, {r4-r7}
	cmp	r2, r1
	bgt	task_copy

	ldmfd	r13!, {r0-r7}
	
	mov	pc, lr